import { native_ } from './Constants';
export declare class GPUAdapterInfo {
    [native_]: any;
    get architecture(): any;
    get description(): any;
    get device(): any;
    get vendor(): any;
    static fromNative(info: any): GPUAdapterInfo;
}
